package com.qs.mp.user.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 提货订单发货详情实体类
 * @auther quanshu
 * @create 2022-03-17 21:45:51
 */
@TableName("mp_user_deliver_order_detail")
@Data
public class UserDeliverOrderDetail implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "detail_id", type = IdType.INPUT)
  private String detailId;

  /**
   * 订单ID
   */
  @TableField("order_id")
  private String orderId;

  /**
   * 用户ID
   */
  @TableField("user_id")
  private Long userId;

  /**
   * 物流ID
   */
  @TableField("delivery_id")
  private String deliveryId;

  /**
   * 物流单号
   */
  @TableField("delivery_flow_id")
  private String deliveryFlowId;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
